org.apache.maven.artifact.deployer

## Class DefaultArtifactDeployer

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.artifact.deployer.DefaultArtifactDeployer

- All Implemented Interfaces:
    ArtifactDeployer

      public class DefaultArtifactDeployer
      extends AbstractLogEnabled
      implements ArtifactDeployer

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.artifact.deployer.ArtifactDeployer

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultArtifactDeployer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deploy(java.io.File source, Artifact artifact, ArtifactRepository deploymentRepository, ArtifactRepository localRepository)` Deploy an artifact from a particular file.
    `void` | `deploy(java.lang.String basedir, java.lang.String finalName, Artifact artifact, ArtifactRepository deploymentRepository, ArtifactRepository localRepository)` Deprecated. we want to use the artifact method only, and ensure artifact.file is set correctly.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultArtifactDeployer

          public DefaultArtifactDeployer()

  - ### Method Detail

    - #### deploy

          public void deploy(java.lang.String basedir,
                    java.lang.String finalName,
                    Artifact artifact,
                    ArtifactRepository deploymentRepository,
                    ArtifactRepository localRepository)
                      throws ArtifactDeploymentException

      Deprecated. we want to use the artifact method only, and ensure artifact.file is set correctly.
      Description copied from interface: `ArtifactDeployer`
      Deploy an artifact from a particular directory. The artifact handler is used to determine the filename of the source file.
      Specified by:
        `deploy` in interface `ArtifactDeployer`
      Parameters:
        `basedir` - the directory where the artifact is stored
        `finalName` - the name of the artifact sans extension
        `artifact` - the artifact definition
        `deploymentRepository` - the repository to deploy to
        `localRepository` - the local repository to install into
      Throws:
        `ArtifactDeploymentException` - if an error occurred deploying the artifact

    - #### deploy

          public void deploy(java.io.File source,
                    Artifact artifact,
                    ArtifactRepository deploymentRepository,
                    ArtifactRepository localRepository)
                      throws ArtifactDeploymentException

      Description copied from interface: `ArtifactDeployer`
      Deploy an artifact from a particular file.
      Specified by:
        `deploy` in interface `ArtifactDeployer`
      Parameters:
        `source` - the file to deploy
        `artifact` - the artifact definition
        `deploymentRepository` - the repository to deploy to
        `localRepository` - the local repository to install into
      Throws:
        `ArtifactDeploymentException` - if an error occurred deploying the artifact